@echo off
REM removeBtools.bat
REM must be copied into and launched from directory where the 'eclipse' folder is installed
REM removes btools features and plugins from the eclipse runtime platform
REM  Syntax:  removeBtools [_version]  (or double-click)

:start
REM change into the directory of removeBtools.bat
for %%i in ( %0 ) do %%~di & cd "%%~dpi"
cd

REM confirm location
set btoolsRemoved=bad
if not exist eclipse\* goto done

REM prepare new list
echo.>removeBtools.list
echo #  **  Listed directories and contents will be deleted.  **>>removeBtools.list
echo #  **  Items to be kept must be removed from this list!  **>>removeBtools.list
echo.>>removeBtools.list
set btoolsRemoved=no

REM record btools features
if not exist eclipse\features\*.btools.*%1* goto plugs
echo.>>removeBtools.list
echo #  **  Btools %1 Features: **>>removeBtools.list
echo.>>removeBtools.list
for /d %%i in ( eclipse\features\*.btools.*%1* ) do echo %%~fi>>removeBtools.list
echo.>>removeBtools.list

:plugs
REM record btools plugins
if not exist eclipse\plugins\*.btools.*%1* goto done
echo.>>removeBtools.list
echo #  **  Btools %1 Plugins: **>>removeBtools.list
echo.>>removeBtools.list
for /d %%i in ( eclipse\plugins\*.btools.*%1* ) do echo %%~fi>>removeBtools.list
echo.>>removeBtools.list

REM present list
start Notepad removeBtools.list

REM confirm btools removal
echo.
echo ** Remove the btools features and plugins
for %%i in ( %0 ) do echo   from %%~dpi\eclipse per removeBtools.list ??
echo.
echo Type Ctrl+C to exit or
pause

REM remove btools in list
echo.
echo   Removing btools features and plugins ...
for /f "eol=# delims=|" %%i in ( removeBtools.list ) do set btoolsRemoved=yes & rd /s /q "%%i"

:done
echo.
if %btoolsRemoved%==bad echo   **  'eclipse' not found ! **
if %btoolsRemoved%==yes echo   **  Listed Btools removed ! **
if %btoolsRemoved%==no echo   **  No Btools to remove for %1! **
if exist removeBtools.list del removeBtools.list
set btoolsRemoved=
echo.
pause

shift
if %1=="_6.0.1.213" goto :eof
goto start

